#
# spec file for package python-pam
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pam
BuildRequires:  pam-devel
BuildRequires:  python-devel
Url:            http://www.pangalactic.org/PyPAM
Provides:       PyPAM
Obsoletes:      PyPAM
Version:        0.5.0
Release:        92.5
Summary:        Python bindings for PAM
License:        LGPL-2.1+
Group:          Development/Libraries/Python
%define tarname PyPAM
Source:         %{tarname}-%{version}.tar.bz2
Patch0:         %{tarname}-0.5.0-setitem.patch
    # fixes memory leak in PyPAM_setitem
Patch1:         %{tarname}-0.5.0-dl.patch
    # dl()ed libraries renamed to .so.0 (because of rpm contents), error handling provided
Patch2:         %{tarname}-0.5.0-dealloc.patch
    # update to python2.5 dealloc call (also valid in 2.4)
Patch3:         %{tarname}-0.5.0-conv-borrowed.patch
    # removes DECREF on borrowed reference
Patch4:         %{tarname}-0.5.0-gnu99.patch
    # switch gcc to gnu99 mode (we need that for strdup())
Patch5:         %{tarname}-0.5.0-nofree.patch
    # removes incorrect attempts to free pam_response structures
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
This release supports the core PAM API. There is still some missing
functionality, but it should implement enough of the API for most
needs. There is not much in the way of documentation at this point. If
you are familiar with the PAM API, a quick glance at the sample program
should get you going.



Authors:
--------
    Rob Riggs <rob@pangalactic.org>

%prep
%setup -n %{tarname}-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
export CFLAGS="-O0" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc AUTHORS NEWS README ChangeLog COPYING
%doc examples

%changelog
* Thu Feb 28 2013 cfarrell@suse.com
- license update: LGPL-2.1+
  HPND and Public-Domain files are removed
* Thu Feb 28 2013 coolo@suse.com
- update license to new format
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Fri Feb  1 2008 matejcik@suse.cz
- removed errorneous free() calls on pam_response structures
* Wed Jan 30 2008 matejcik@suse.cz
- submitting to SLES10 SP2, as per fate#302853
* Wed Jan 30 2008 matejcik@suse.cz
- update to 0.5.0:
  - license changed to LGPL
  - natively uses distutils
  - "userdata" can be attached to PAM object
- patches cleaned up and commented
* Fri Jan  5 2007 jmatejek@suse.cz
- fixed segfault on deallocation (#231541)
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Thu Apr 14 2005 mcihar@suse.cz
- rename to python-pam to match python modules policy
* Tue Feb  8 2005 mcihar@suse.cz
- don't ship binary in examples
* Tue Oct 26 2004 tcrhak@suse.cz
- dlopen *.so.{version} instead of *.so,
  so that pam-devel is not needed,
  and fail if a library does not exist
* Tue Aug 17 2004 mcihar@suse.cz
- use distutils for building/installing
* Fri Aug 13 2004 tcrhak@suse.cz
- created new package, version 0.4.2
